<%
// Idea: sort and translate categories into normal english

const hidden_types = ['card']

%>


<% for(var i=0; i<itemTypes.length; i++) {
    
    if (hidden_types.includes(itemTypes[i])){
        continue;
    }
    %>
<h2>
    <%= itemTypes[i] %>
</h2>
<div class="group">
    <% items = data.filter(item => item.type == itemTypes[i]); %>
    <% for(var j=0; j< items.length; j++) {%>
    <a href="<%= items[j].id %>" class="element" title="<%= items[j].name %> | <%= items[j].id %>">
        <div class="thumbnail">
            <img class="hide" src="<%= image_path_prefix + items[j].id + ".png" %>" onload="fadeIn(this)"></img>
        </div>
        <span class="label">
            <%= items[j].name %>
        </span>
    </a>
    <% } %>
</div>
<% } %>